import { ConfigurationLanguage } from './../enums/configuration-language.enum';
import { IsEnum, IsString, IsUUID, Length, IsOptional } from 'class-validator';
import { InputType } from '@nestjs/graphql';

@InputType()
export class SetConfigurationInput {
  @IsOptional()
  @IsUUID()
  id?: string;

  @IsUUID()
  pipelineId: string;

  @IsUUID()
  projectId: string;

  @IsString()
  content: string;

  @IsEnum(ConfigurationLanguage)
  language: ConfigurationLanguage;

  @Length(0, 100)
  @IsOptional()
  name = 'Default Configuration';
}
