import { Project } from './../../projects/project.entity';
import { ConfigurationLanguage } from './../enums/configuration-language.enum';
import { Pipeline } from './../../pipelines/pipeline.entity';
import { AppBaseEntity } from './../../commons/entities/app-base-entity';
import { ObjectType } from '@nestjs/graphql';
import { Column, Entity, ManyToOne } from 'typeorm';

@Entity()
@ObjectType()
export class Configuration extends AppBaseEntity {
  @ManyToOne(() => Pipeline)
  pipeline: Pipeline;

  @Column({ unique: true, nullable: true })
  pipelineId: string;

  @ManyToOne(() => Project)
  project: Project;

  @Column()
  projectId: string;

  @Column({ comment: 'language defined in type field.' })
  content: string;

  @Column({ comment: '配置名称' })
  name: string;

  @Column({
    type: 'enum',
    enum: ConfigurationLanguage,
    comment: 'configuration content language',
  })
  language: ConfigurationLanguage;
}
